%define anolis_release 2
%bcond_without tests

Name:           python-utils
Version:        3.5.2
Release:        %{anolis_release}%{?dist}
Summary:        A module with some convenient utilities not included with the standard Python install
License:        BSD-3-Clause
URL:            https://github.com/wolph/%{name}
Source0:        https://github.com/wolph/%{name}/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-sphinx
BuildRequires:  pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%?python_enable_dependency_generator

%description
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.

%package -n     python%{python3_pkgversion}-utils
Summary:        %{summary}

%description -n python%{python3_pkgversion}-utils
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.

%package        docs
Summary:        Documentation for python-utils

%description docs
Documentation files for %{name}.


%prep
%autosetup -p1 -n %{name}-%{version}

sed -Ei '/--(cov|pep8|flake8|mypy)/d' pytest.ini
sed -Ezi 's/flake8.+=.+\n(\s*\S+\s*\n)*\n/\n/' pytest.ini

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel

sphinx-build docs html
rm -rf html/{.doctrees,.buildinfo,*.inv}


%install
%pyproject_install
%pyproject_save_files python_utils


%if %{with tests}
%check
%pytest --ignore _python_utils_tests/test_logger.py --ignore python_utils/loguru.py
%endif


%files -n python%{python3_pkgversion}-utils -f %{pyproject_files}
%license LICENSE


%files docs
%doc README.rst html


%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.5.2-2
- Rebuild with python3.11

* Mon Apr 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 3.5.2-1
- update to version 3.5.2

* Wed Feb 01 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.4.5-1
- update to version 3.4.5

* Fri May 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.1.0-1
- init from upstream
